Debian Bug report logs - #503367
plink: file conflict with putty-tools

version graph

Package: plink; Maintainer for plink is Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>; Source for plink is src:plink.

Reported by: Sven Joachim <svenjoac@gmx.de>

Date: Sat, 25 Oct 2008 06:42:04 UTC

Severity: serious

Found in version plink/1.03p1-1

Fixed in version plink/1.06-1

Done: Andreas Tille <tille@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sven Joachim <svenjoac@gmx.de>, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Sat, 25 Oct 2008 06:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
New Bug report received and forwarded. Copy sent to Sven Joachim <svenjoac@gmx.de>, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sat, 25 Oct 2008 06:42:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: plink: file conflict with putty-tools
Date: Sat, 25 Oct 2008 08:40:59 +0200
Package: plink
Version: 1.03p1-1
Severity: serious

The /usr/bin/plink name is already taken:

,----
| # aptitude install plink
| [...]
| Selecting previously deselected package plink.
| (Reading database ... 134796 files and directories currently installed.)
| Unpacking plink (from .../plink_1.03p1-1_i386.deb) ...
| dpkg: error processing /var/cache/apt/archives/plink_1.03p1-1_i386.deb (--unpack):
|  trying to overwrite `/usr/bin/plink', which is also in package putty-tools
| dpkg-deb: subprocess paste killed by signal (Broken pipe)
| Errors were encountered while processing:
|  /var/cache/apt/archives/plink_1.03p1-1_i386.deb
| E: Sub-process /usr/bin/dpkg returned an error code (1)
`----

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26.7-core2 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Sat, 25 Oct 2008 09:27:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sat, 25 Oct 2008 09:27:21 GMT) Full text and rfc822 format available.

Message #10 received at 503367@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: debian-devel@lists.debian.org
Cc: cjwatson@debian.org, 503367@bugs.debian.org
Subject: Re: [Debian-med-packaging] Bug#503367: plink: file conflict with putty-tools
Date: Sat, 25 Oct 2008 18:24:56 +0900
Le Sat, Oct 25, 2008 at 08:40:59AM +0200, Sven Joachim a écrit :
> Package: plink
> Version: 1.03p1-1
> Severity: serious
> 
> The /usr/bin/plink name is already taken:
> 
> ,----
> | # aptitude install plink
> | [...]
> | Selecting previously deselected package plink.
> | (Reading database ... 134796 files and directories currently installed.)
> | Unpacking plink (from .../plink_1.03p1-1_i386.deb) ...
> | dpkg: error processing /var/cache/apt/archives/plink_1.03p1-1_i386.deb (--unpack):
> |  trying to overwrite `/usr/bin/plink', which is also in package putty-tools
> | dpkg-deb: subprocess paste killed by signal (Broken pipe)
> | Errors were encountered while processing:
> |  /var/cache/apt/archives/plink_1.03p1-1_i386.deb
> | E: Sub-process /usr/bin/dpkg returned an error code (1)
> `----

Hi Sven,

thank you for reporting this bug.

Both programs are intended for command line, and could be used in
scripts. We may even find users who want to install both at the same
time. Very annoying…

Since Plink is younger than Putty, I think that the burden of the
renaming is for us (the Debian Med packaging team). I plan to rename
/usr/bin/plink to /usr/bin/Plink, that would be a symbolic link to
/usr/lib/plink/plink so that with an appropriate PATH, users can rescue
their scripts.

But before doing so, I would like to ask the readers of debian-devel:

  - if it is not a bad idea to have to programs whose name only differs by
    case (do we support file systems à la Macintosh?),
  - if they have a better idea in general.


Have a nice day.

(By the way, are you interested in genetics ?)

-- 
Charles Plessy
Debian Med packaging team,
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Sat, 25 Oct 2008 15:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teodor <mteodor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sat, 25 Oct 2008 15:09:05 GMT) Full text and rfc822 format available.

Message #15 received at 503367@bugs.debian.org (full text, mbox):

From: Teodor <mteodor@gmail.com>
To: "Charles Plessy" <plessy@debian.org>
Cc: debian-devel@lists.debian.org, cjwatson@debian.org, 503367@bugs.debian.org
Subject: Re: [Debian-med-packaging] Bug#503367: plink: file conflict with putty-tools
Date: Sat, 25 Oct 2008 18:07:11 +0300
On Sat, Oct 25, 2008 at 12:24 PM, Charles Plessy <plessy@debian.org> wrote:
> Since Plink is younger than Putty, I think that the burden of the
> renaming is for us (the Debian Med packaging team). I plan to rename
> /usr/bin/plink to /usr/bin/Plink, that would be a symbolic link to
> /usr/lib/plink/plink so that with an appropriate PATH, users can rescue
> their scripts.

This *upercase first letter* thinghy is no annoying and ugly ..

> But before doing so, I would like to ask the readers of debian-devel:
>
>  - if it is not a bad idea to have to programs whose name only differs by
>    case (do we support file systems à la Macintosh?),
>  - if they have a better idea in general.

IMO a simple "Conflicts: putty-tools" is enough. If they provide the
same functionality than an "alternative" is better than conflicting
with each other.

Cheers

Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Sat, 25 Oct 2008 15:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sat, 25 Oct 2008 15:27:08 GMT) Full text and rfc822 format available.

Message #20 received at 503367@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Teodor <mteodor@gmail.com>
Cc: debian-devel@lists.debian.org, 503367@bugs.debian.org
Subject: Re: [Debian-med-packaging] Bug#503367: plink: file conflict with putty-tools
Date: Sun, 26 Oct 2008 00:21:05 +0900
Le Sat, Oct 25, 2008 at 06:07:11PM +0300, Teodor a écrit :
> IMO a simple "Conflicts: putty-tools" is enough. If they provide the
> same functionality than an "alternative" is better than conflicting
> with each other.

Hello Tedor,

thanks for the feedback, but this would be against our Policy, because the two
files competing for the same name do not provide the same functionality:

  Two different packages must not install programs with different functionality
  but with the same filenames. (The case of two programs having the same
  functionality but different implementations is handled via "alternatives" or
  the "Conflicts" mechanism. See Maintainer Scripts, Section 3.9 and Conflicting
  binary packages - Conflicts, Section 7.4 respectively.) If this case happens,
  one of the programs must be renamed. The maintainers should report this to the
  debian-devel mailing list and try to find a consensus about which program will
  have to be renamed. If a consensus cannot be reached, both programs must be
  renamed. 

http://www.debian.org/doc/debian-policy/ch-files.html#s10.1

Have a nice weekend,

-- 
Charles Plessy
Debian Med packaging team,
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Sat, 25 Oct 2008 15:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teodor <mteodor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sat, 25 Oct 2008 15:51:02 GMT) Full text and rfc822 format available.

Message #25 received at 503367@bugs.debian.org (full text, mbox):

From: Teodor <mteodor@gmail.com>
To: "Charles Plessy" <plessy@debian.org>
Cc: debian-devel@lists.debian.org, 503367@bugs.debian.org
Subject: Re: [Debian-med-packaging] Bug#503367: plink: file conflict with putty-tools
Date: Sat, 25 Oct 2008 18:49:25 +0300
On Sat, Oct 25, 2008 at 6:21 PM, Charles Plessy <plessy@debian.org> wrote:
> Le Sat, Oct 25, 2008 at 06:07:11PM +0300, Teodor a écrit :
>> IMO a simple "Conflicts: putty-tools" is enough. If they provide the
>> same functionality than an "alternative" is better than conflicting
>> with each other.
>
> Hello Tedor,
>
> thanks for the feedback, but this would be against our Policy, because the two
> files competing for the same name do not provide the same functionality:

Yes, it seems to be the case. I'm a newcomer to Debian but IMO this
restriction about "Conflicts" in s10.1 seems a little unpractical. The
"Conflicts" section of the policy [1] does not specify anything about
the restriction of packages that should conflict on each other *only*
if they provide the same functionality. The *alternative* mechanism is
the most natural way to handle the conflicts between packages that
provide the same functionality. Otherwise, the "Conflicts" directive
could help for packages that doesn't provide the same functionality.

Thanks


[1]  http://www.debian.org/doc/debian-policy/ch-relationships.html#s-conflicts

Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Sat, 25 Oct 2008 17:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teodor <mteodor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sat, 25 Oct 2008 17:21:02 GMT) Full text and rfc822 format available.

Message #30 received at 503367@bugs.debian.org (full text, mbox):

From: Teodor <mteodor@gmail.com>
To: "Charles Plessy" <plessy@debian.org>
Cc: debian-devel@lists.debian.org, cjwatson@debian.org, 503367@bugs.debian.org
Subject: Re: [Debian-med-packaging] Bug#503367: plink: file conflict with putty-tools
Date: Sat, 25 Oct 2008 20:18:23 +0300
On Sat, Oct 25, 2008 at 12:24 PM, Charles Plessy <plessy@debian.org> wrote:
> Both programs are intended for command line, and could be used in
> scripts. We may even find users who want to install both at the same
> time. Very annoying…
>
> Since Plink is younger than Putty, I think that the burden of the
> renaming is for us (the Debian Med packaging team). I plan to rename
> /usr/bin/plink to /usr/bin/Plink, that would be a symbolic link to
> /usr/lib/plink/plink so that with an appropriate PATH, users can rescue
> their scripts.

Since renaming seems to be the only solution, than IMO it is more
appropriate to rename 'plink' in putty-tools than in the plink
packages since this is exactly the source/binary package name. This
has been done already in putty-tools for the 'puttygen' binary.

Thanks


----
piti:~# dpkg -L putty-tools
[snip]
/usr/bin/pscp
/usr/bin/psftp
/usr/bin/plink
/usr/bin/puttygen

Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Sat, 25 Oct 2008 17:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sat, 25 Oct 2008 17:51:02 GMT) Full text and rfc822 format available.

Message #35 received at 503367@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Teodor <mteodor@gmail.com>, 503367@bugs.debian.org
Cc: debian-devel@lists.debian.org, cjwatson@debian.org
Subject: Re: Bug#503367: [Debian-med-packaging] Bug#503367: plink: file conflict with putty-tools
Date: Sat, 25 Oct 2008 18:48:28 +0100
On Sat, 2008-10-25 at 20:18 +0300, Teodor wrote:
> Since renaming seems to be the only solution, than IMO it is more
> appropriate to rename 'plink' in putty-tools than in the plink
> packages since this is exactly the source/binary package name.
[...]
> This has been done already in putty-tools for the 'puttygen' binary.
[...]
> piti:~# dpkg -L putty-tools
> [snip]
> /usr/bin/pscp
> /usr/bin/psftp
> /usr/bin/plink
> /usr/bin/puttygen

Erm, puttygen isn't renamed. That's what the upstream binary is known as
and has been ever since its creation more than four years ago (although
more often puttygen.exe for predictable reasons).

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Sat, 25 Oct 2008 19:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sat, 25 Oct 2008 19:48:04 GMT) Full text and rfc822 format available.

Message #40 received at 503367@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Teodor <mteodor@gmail.com>
Cc: Charles Plessy <plessy@debian.org>, debian-devel@lists.debian.org, 503367@bugs.debian.org
Subject: Re: [Debian-med-packaging] Bug#503367: plink: file conflict with putty-tools
Date: Sat, 25 Oct 2008 20:43:20 +0100
On Sat, Oct 25, 2008 at 08:18:23PM +0300, Teodor wrote:
> On Sat, Oct 25, 2008 at 12:24 PM, Charles Plessy <plessy@debian.org> wrote:
> > Both programs are intended for command line, and could be used in
> > scripts. We may even find users who want to install both at the same
> > time. Very annoying…
> >
> > Since Plink is younger than Putty, I think that the burden of the
> > renaming is for us (the Debian Med packaging team). I plan to rename
> > /usr/bin/plink to /usr/bin/Plink, that would be a symbolic link to
> > /usr/lib/plink/plink so that with an appropriate PATH, users can rescue
> > their scripts.
> 
> Since renaming seems to be the only solution, than IMO it is more
> appropriate to rename 'plink' in putty-tools than in the plink
> packages since this is exactly the source/binary package name. This
> has been done already in putty-tools for the 'puttygen' binary.

As Adam said, puttygen hasn't been renamed; this is the upstream name.

Since as Charles said the debian-med plink is younger, and putty's plink
may well be embedded in people's environment variables and such, I'd
much rather that debian-med's program change its name since they seem to
be willing to do so.

Thanks,

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Mon, 27 Oct 2008 19:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steffen Möller <steffen_moeller@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 27 Oct 2008 19:57:02 GMT) Full text and rfc822 format available.

Message #45 received at 503367@bugs.debian.org (full text, mbox):

From: Steffen Möller <steffen_moeller@gmx.de>
To: Teodor <mteodor@gmail.com>
Cc: Charles Plessy <plessy@debian.org>, debian-devel@lists.debian.org, cjwatson@debian.org, 503367@bugs.debian.org
Subject: Re: [Debian-med-packaging] Bug#503367: plink: file conflict with putty-tools
Date: Mon, 27 Oct 2008 18:54:58 +0100
Hello,

plink has just made it to the archive.

Teodor happened to have nicely explained my objections to rename plink.

Dear Colin, if you don't mind too much, or if you could be bribed with a
few beers, please be so kind to rename the plink binary package.

Many thanks and best regards,

Steffen (who should have checked and asked prior to his upload)

Teodor schrieb:
> On Sat, Oct 25, 2008 at 12:24 PM, Charles Plessy <plessy@debian.org> wrote:
>   
>> Both programs are intended for command line, and could be used in
>> scripts. We may even find users who want to install both at the same
>> time. Very annoying…
>>
>> Since Plink is younger than Putty, I think that the burden of the
>> renaming is for us (the Debian Med packaging team). I plan to rename
>> /usr/bin/plink to /usr/bin/Plink, that would be a symbolic link to
>> /usr/lib/plink/plink so that with an appropriate PATH, users can rescue
>> their scripts.
>>     
>
> Since renaming seems to be the only solution, than IMO it is more
> appropriate to rename 'plink' in putty-tools than in the plink
> packages since this is exactly the source/binary package name. This
> has been done already in putty-tools for the 'puttygen' binary.
>
> Thanks
>
>
> ----
> piti:~# dpkg -L putty-tools
> [snip]
> /usr/bin/pscp
> /usr/bin/psftp
> /usr/bin/plink
> /usr/bin/puttygen
>   





Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Tue, 28 Oct 2008 01:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brian May <brian@microcomaustralia.com.au>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 28 Oct 2008 01:03:02 GMT) Full text and rfc822 format available.

Message #50 received at 503367@bugs.debian.org (full text, mbox):

From: Brian May <brian@microcomaustralia.com.au>
To: Steffen Möller <steffen_moeller@gmx.de>
Cc: Teodor <mteodor@gmail.com>, Charles Plessy <plessy@debian.org>, debian-devel@lists.debian.org, cjwatson@debian.org, 503367@bugs.debian.org
Subject: Re: [Debian-med-packaging] Bug#503367: plink: file conflict with putty-tools
Date: Tue, 28 Oct 2008 11:59:50 +1100
Steffen Möller wrote:
> Teodor happened to have nicely explained my objections to rename plink.
>   

Except what he said is wrong, puttygen hasn't been renamed.

> Dear Colin, if you don't mind too much, or if you could be bribed with a
> few beers, please be so kind to rename the plink binary package.
>   

If we rename plink in putty (I think that is what you are asking?), that 
it going to make our version of putty inconsistent with every other 
putty package out there. This program is often used by scripts, they 
will break too.

Brian May




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Tue, 28 Oct 2008 03:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 28 Oct 2008 03:06:02 GMT) Full text and rfc822 format available.

Message #55 received at 503367@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 503367@bugs.debian.org
Cc: Steffen Möller <steffen_moeller@gmx.de>, Teodor <mteodor@gmail.com>, Charles Plessy <plessy@debian.org>, debian-devel@lists.debian.org, cjwatson@debian.org
Subject: Re: [Debian-med-packaging] Bug#503367: Bug#503367: plink: file conflict with putty-tools
Date: Tue, 28 Oct 2008 12:03:00 +0900
Le Tue, Oct 28, 2008 at 11:59:50AM +1100, Brian May a écrit :
> 
> If we rename plink in putty (I think that is what you are asking?), that 
> it going to make our version of putty inconsistent with every other 
> putty package out there. This program is often used by scripts, they 
> will break too.

Hi Brian, Steffen, and everybody,

while what was written above about plink in putty is also true for plink in
plink, I agree that in this case it would be better to keep Putty's and changes
Plink's.

I had a disucssion with Upstream (that I forgot to CC to Steffen), in which he
acknowledged that they unfortunately did not think about possible issues in an
extended namespace when deciding for a name, as their program started as an
internal project first. He proposed 'snplink' for Debian, as it nicely
summarises what the tool does: linking SNPs.

Have a nice day,

-- 
Charles Plessy
Debian Med packaging team,
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Tue, 28 Oct 2008 07:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teodor <mteodor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 28 Oct 2008 07:36:09 GMT) Full text and rfc822 format available.

Message #60 received at 503367@bugs.debian.org (full text, mbox):

From: Teodor <mteodor@gmail.com>
To: "Brian May" <brian@microcomaustralia.com.au>
Cc: "Steffen Möller" <steffen_moeller@gmx.de>, "Charles Plessy" <plessy@debian.org>, debian-devel@lists.debian.org, cjwatson@debian.org, 503367@bugs.debian.org
Subject: Re: [Debian-med-packaging] Bug#503367: plink: file conflict with putty-tools
Date: Tue, 28 Oct 2008 09:32:42 +0200
On Tue, Oct 28, 2008 at 2:59 AM, Brian May
<brian@microcomaustralia.com.au> wrote:
> Steffen Möller wrote:
>> Teodor happened to have nicely explained my objections to rename plink.
>
> Except what he said is wrong, puttygen hasn't been renamed.

Yes, puttygen hasn't been renamed. It was a wrong assumption from me ..

>> Dear Colin, if you don't mind too much, or if you could be bribed with a
>> few beers, please be so kind to rename the plink binary package.
>
> If we rename plink in putty (I think that is what you are asking?), that it
> going to make our version of putty inconsistent with every other putty
> package out there. This program is often used by scripts, they will break
> too.

I still believe it is best to rename 'plink' to 'puttylink' in
putty-tools binary package. Anyway, this should be fixed for squeeze
since in lenny there is no conflict (plink is not included in lenny).

Thanks

Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Tue, 28 Oct 2008 07:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 28 Oct 2008 07:48:03 GMT) Full text and rfc822 format available.

Message #65 received at 503367@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Teodor <mteodor@gmail.com>, 503367@bugs.debian.org
Cc: debian-devel@lists.debian.org, cjwatson@debian.org
Subject: Re: [Debian-med-packaging] Bug#503367: Bug#503367: plink: file conflict with putty-tools
Date: Tue, 28 Oct 2008 16:47:32 +0900
Le Tue, Oct 28, 2008 at 09:32:42AM +0200, Teodor a écrit :
> 
> I still believe it is best to rename 'plink' to 'puttylink' in
> putty-tools binary package. Anyway, this should be fixed for squeeze
> since in lenny there is no conflict (plink is not included in lenny).

Hi all,

Upstream documented the renaming on his website, so I think that that is the
(happy) end of the story :)

  "Debian users: PLINK is available as a Debian package, see these notes. Note, the
  executable is named snplink in the Debian plink package."

http://pngu.mgh.harvard.edu/~purcell/plink/download.shtml

Have a nice day,

-- 
Charles Plessy
Debian Med packaging team,
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Tue, 28 Oct 2008 11:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steffen Möller <steffen_moeller@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 28 Oct 2008 11:06:02 GMT) Full text and rfc822 format available.

Message #70 received at 503367@bugs.debian.org (full text, mbox):

From: Steffen Möller <steffen_moeller@gmx.de>
To: Charles Plessy <plessy@debian.org>, 503367@bugs.debian.org
Cc: Teodor <mteodor@gmail.com>, debian-devel@lists.debian.org, cjwatson@debian.org
Subject: Re: [Debian-med-packaging] Bug#503367: Bug#503367: Bug#503367: plink: file conflict with putty-tools
Date: Tue, 28 Oct 2008 11:54:23 +0100
Charles Plessy schrieb:
> Le Tue, Oct 28, 2008 at 09:32:42AM +0200, Teodor a écrit :
>   
>> I still believe it is best to rename 'plink' to 'puttylink' in
>> putty-tools binary package. Anyway, this should be fixed for squeeze
>> since in lenny there is no conflict (plink is not included in lenny).
>>     
>
> Hi all,
>
> Upstream documented the renaming on his website, so I think that that is the
> (happy) end of the story :)
>
>   "Debian users: PLINK is available as a Debian package, see these notes. Note, the
>   executable is named snplink in the Debian plink package."
>
> http://pngu.mgh.harvard.edu/~purcell/plink/download.shtml
>   
To me, the renaming to snplink is an exceptionally unfortunate way to
address the name-conflict we experienced. This way, we render Debian
incompatible with scripts distributed in the community and incompatible
with computational grids, too. I am just writing from a grid conference
and plink was indeed referenced on one slide. I don't want either plink
to be renamed, completely following the points brought up Brian and
definitely prefer a conflict between the two plink packages. Those users
who _really_ need both and _really_ need to work with Debian packages
only, they can have a chroot environment for the bioinformatics-plink.
Besides: there is a SNPLINK already:
http://bioinformatics.oxfordjournals.org/cgi/content/full/21/13/3060

The executable in either package should not be renamed. I don't see a
reasonable way around it. The only problem that I originally understood
from skimming over the thread was that Debian packages would be named
equally and I was too busy to wonder for too long how this could be
allowed by the Debian infrastructure. But embarrassingly, after checking
things manually, I just spotted that putty's plink is not coming as a
package with that name but that it is wrapped up to the package
putty-tools. This is just fine to me. I'll add a "Conflicts:
putty-tools" to the plink control file, upload plink's new version 1.04
and we are set.

To summarise things up: the renaming of the executable of plink to
snplink renders the plink package inferior to a manual installation of
plink under the proper name. What I'll do now unless I hear some
objections that I am mentally prepared to follow: I'll prepare the new
version, add the conflict to debian/control to close 503367 (won't fix)
and herewith truly apologize for all these emails.

Best,

Steffen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Tue, 28 Oct 2008 11:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Palfrader <weasel@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 28 Oct 2008 11:06:03 GMT) Full text and rfc822 format available.

Message #75 received at 503367@bugs.debian.org (full text, mbox):

From: Peter Palfrader <weasel@debian.org>
To: Steffen Möller <steffen_moeller@gmx.de>
Cc: Charles Plessy <plessy@debian.org>, 503367@bugs.debian.org, Teodor <mteodor@gmail.com>, debian-devel@lists.debian.org, cjwatson@debian.org
Subject: Re: [Debian-med-packaging] Bug#503367: Bug#503367: Bug#503367: plink: file conflict with putty-tools
Date: Tue, 28 Oct 2008 12:00:02 +0100
Steffen Möller schrieb am Dienstag, dem 28. Oktober 2008:

> To summarise things up: the renaming of the executable of plink to
> snplink renders the plink package inferior to a manual installation of
> plink under the proper name. What I'll do now unless I hear some
> objections that I am mentally prepared to follow: I'll prepare the new
> version, add the conflict to debian/control to close 503367 (won't fix)
> and herewith truly apologize for all these emails.

The packages provide different functionality.  They should therefore not
conflict.  If you cannot agree on who should rename their binary, both
packages will have to rename it.

See http://www.debian.org/doc/debian-policy/ch-files.html first
paragraph.

Tho I think that putty being the more senior one should have the right
of the name and not be forced to rename its binaries.
-- 
                           |  .''`.  ** Debian GNU/Linux **
      Peter Palfrader      | : :' :      The  universal
 http://www.palfrader.org/ | `. `'      Operating System
                           |   `-    http://www.debian.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Tue, 28 Oct 2008 12:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 28 Oct 2008 12:09:04 GMT) Full text and rfc822 format available.

Message #80 received at 503367@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Steffen Möller <steffen_moeller@gmx.de>
Cc: Charles Plessy <plessy@debian.org>, 503367@bugs.debian.org, Teodor <mteodor@gmail.com>, debian-devel@lists.debian.org, cjwatson@debian.org
Subject: Re: [Debian-med-packaging] Bug#503367: Bug#503367: Bug#503367: plink: file conflict with putty-tools
Date: Tue, 28 Oct 2008 13:07:09 +0100
[Message part 1 (text/plain, inline)]
Hi Steffen!

Disclaimer: I'm a biologist [1] and I performed genome-wide analyses.

On Tue, 28 Oct 2008 12:00:02 +0100, Peter Palfrader wrote:
> Steffen Möller schrieb am Dienstag, dem 28. Oktober 2008:
>> To summarise things up: the renaming of the executable of plink to
>> snplink renders the plink package inferior to a manual installation of
>> plink under the proper name.

From a *very* quick read of the plink webpage [2], I understand that
plink mainly deals with SNPs [3].  Thus I don't see the rename as
something inferior, on the contrary it helps better understanding what
the binary does [4].

>> What I'll do now unless I hear some objections that I am mentally
>> prepared to follow: I'll prepare the new version, add the conflict to
>> debian/control to close 503367 (won't fix) and herewith truly
>> apologize for all these emails.
>
> The packages provide different functionality.  They should therefore not
> conflict.
[...]
> Tho I think that putty being the more senior one should have the right
> of the name and not be forced to rename its binaries.

Fully ACK, on both sentences.

FWIW, according to [5], plink has been included in PuTTY since version
beta 0.50 (released 2000/10/16).  The oldest Debian version I could find
is 0.57-1 (2005/03/13), which already contains /usr/bin/plink.

Thx, bye,
Gismo / Luca

Footnotes: 
[1] http://www.unige.ch/irlab
[2] http://pngu.mgh.harvard.edu/~purcell/plink/index.shtml
[3] http://en.wikipedia.org/wiki/Single_nucleotide_polymorphism
[4] I agree that for someone not in genetics this is not true
[5] http://www.chiark.greenend.org.uk/~sgtatham/putty/changes.html
[6] http://snapshot.debian.net/putty
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Tue, 28 Oct 2008 12:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teodor <mteodor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 28 Oct 2008 12:57:03 GMT) Full text and rfc822 format available.

Message #85 received at 503367@bugs.debian.org (full text, mbox):

From: Teodor <mteodor@gmail.com>
To: "Steffen Möller" <steffen_moeller@gmx.de>
Cc: "Charles Plessy" <plessy@debian.org>, 503367@bugs.debian.org, debian-devel@lists.debian.org, cjwatson@debian.org
Subject: Re: [Debian-med-packaging] Bug#503367: Bug#503367: Bug#503367: plink: file conflict with putty-tools
Date: Tue, 28 Oct 2008 14:55:49 +0200
On Tue, Oct 28, 2008 at 12:54 PM, Steffen Möller <steffen_moeller@gmx.de> wrote:
> Charles Plessy schrieb:
>> Le Tue, Oct 28, 2008 at 09:32:42AM +0200, Teodor a écrit :
>>> I still believe it is best to rename 'plink' to 'puttylink' in
>>> putty-tools binary package. Anyway, this should be fixed for squeeze
>>> since in lenny there is no conflict (plink is not included in lenny).

That was based on the assumption that the project name is well
established (plink).  I had no idea and I couldn't find on the project
site what 'p' stands for. A more appropriate and suggestive name for
the project is this one given by upstream: snplink.
I have a feeling that upstream will change the project name from plink
to something more appropriate (like snplink) to avoid the confusion.

>> Upstream documented the renaming on his website, so I think that that is the
>> (happy) end of the story :)

Yes, it is. :)

> To summarise things up: the renaming of the executable of plink to
> snplink renders the plink package inferior to a manual installation of
> plink under the proper name. What I'll do now unless I hear some
> objections that I am mentally prepared to follow: I'll prepare the new
> version, add the conflict to debian/control to close 503367 (won't fix)
> and herewith truly apologize for all these emails.

That would be serious bug against 'plink' according to Debian policy.
Read the whole thread starting at [1] or this specific message [2].

Thanks


[1]  http://lists.debian.org/debian-devel/2008/10/msg00633.html
[2]  http://lists.debian.org/debian-devel/2008/10/msg00644.html

Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Tue, 28 Oct 2008 13:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steffen Möller <steffen_moeller@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 28 Oct 2008 13:51:05 GMT) Full text and rfc822 format available.

Message #90 received at 503367@bugs.debian.org (full text, mbox):

From: Steffen Möller <steffen_moeller@gmx.de>
To: Teodor <mteodor@gmail.com>
Cc: Charles Plessy <plessy@debian.org>, 503367@bugs.debian.org, debian-devel@lists.debian.org, cjwatson@debian.org
Subject: Re: [Debian-med-packaging] Bug#503367: Bug#503367: Bug#503367: plink: file conflict with putty-tools
Date: Tue, 28 Oct 2008 14:48:21 +0100
Hello,

Teodor schrieb:
> On Tue, Oct 28, 2008 at 12:54 PM, Steffen Möller <steffen_moeller@gmx.de> wrote:
>   
>> Charles Plessy schrieb:
>>     
>>> Le Tue, Oct 28, 2008 at 09:32:42AM +0200, Teodor a écrit :
>>>       
>>>> I still believe it is best to rename 'plink' to 'puttylink' in
>>>> putty-tools binary package. Anyway, this should be fixed for squeeze
>>>> since in lenny there is no conflict (plink is not included in lenny).
>>>>         
>
> That was based on the assumption that the project name is well
> established (plink).  I had no idea and I couldn't find on the project
> site what 'p' stands for. A more appropriate and suggestive name for
> the project is this one given by upstream: snplink.
> I have a feeling that upstream will change the project name from plink
> to something more appropriate (like snplink) to avoid the confusion.
>
>   
>>> Upstream documented the renaming on his website, so I think that that is the
>>> (happy) end of the story :)
>>>       
>
> Yes, it is. :)
>   
Except that snplink is taken by another program and Debian remains
incompatible for scripts shared in the community. Even if we find
another name, then it seems likely that another later program would have
that name, just having been checked against the real project names. The
iceweasel-icedove solution has the same problem, in principle.
>> ...(won't fix)...
> That would be serious bug against 'plink' according to Debian policy.
> Read the whole thread starting at [1] or this specific message [2].
>
>
> [1]  http://lists.debian.org/debian-devel/2008/10/msg00633.html
> [2]  http://lists.debian.org/debian-devel/2008/10/msg00644.html
>   
I need to thank all your friendly, constructive and informative replies.
As stated before I agree that that putty-tools's plink should not be
renamed (for the same reasons as plink's plink should not be renamed),
and I have now reread and understood what the policy says and following
these lines I share your conclusion that it should be plink's plink that
should be renamed. However, I still think that albeit adhering to the
Debian policy, the decision is inpractical and hence wrong. I personally
see four alternatives:
 a) removing the newly package plink from the archive
 b) add an exception to Debian policy for the case that the two packages
in name-conflict are not in the base distribution and the two
maintainers agree that the conflict in names does not matter enough to
be concerned
 c) add an exception to Debian policy when the two packages are of
different priorities and both are out of base, having optional beating
extra and the two maintainers agree.
 d) have the binary install below /usr/lib rather than /usr/bin and
there is some mechanism to set the path right, which should be executed
prior to the execution of any script that is executing plink.

I personally am happy with any of the four alternatives but obviously
would best like b) or c). With an increasing number of applications in
Debian I am certain that b) or c) will be needed sooner or later, but d)
may be another interesting option for many. What do you think?

Cheers,

Steffen





Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Tue, 28 Oct 2008 15:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 28 Oct 2008 15:03:02 GMT) Full text and rfc822 format available.

Message #95 received at 503367@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: Steffen Möller <steffen_moeller@gmx.de>
Cc: Teodor <mteodor@gmail.com>, Charles Plessy <plessy@debian.org>, 503367@bugs.debian.org, debian-devel@lists.debian.org, cjwatson@debian.org
Subject: Re: [Debian-med-packaging] Bug#503367: Bug#503367: Bug#503367: plink: file conflict with putty-tools
Date: Tue, 28 Oct 2008 15:58:20 +0100 (CET)
[Message part 1 (text/plain, inline)]
On Tue, 28 Oct 2008, Steffen Möller wrote:

> Except that snplink is taken by another program

This is a valid point and should probably be discussed with plink
(and snplink??) authors.

> and Debian remains incompatible for scripts shared in the community.

This is not really a valid point.  In case plink upstream will change
the name (which might happen) these scripts will be adapted soon. Even
if not and you put such kind of scripts to say /usr/share/local/bin a

   ln -s /usr/bin/snplink /usr/local/bin/plink

will easily make those scripts work - putting this in README.Debian
might be cheap.

> Even if we find
> another name, then it seems likely that another later program would have
> that name, just having been checked against the real project names. The
> iceweasel-icedove solution has the same problem, in principle.

I fail to see the relation between these two things.

> I personally see four alternatives:
> a) removing the newly package plink from the archive

That does not sound like an alternative.

> b) add an exception to Debian policy for the case that the two packages
> in name-conflict are not in the base distribution and the two
> maintainers agree that the conflict in names does not matter enough to
> be concerned

This does not sound sanely.

> c) add an exception to Debian policy when the two packages are of
> different priorities and both are out of base, having optional beating
> extra and the two maintainers agree.

This does not sound sanely either.

> d) have the binary install below /usr/lib rather than /usr/bin and
> there is some mechanism to set the path right, which should be executed
> prior to the execution of any script that is executing plink.

That's what we usually do when those name conflicts occure.

> With an increasing number of applications in
> Debian I am certain that b) or c) will be needed sooner or later,

I do not think so.  IMHO the Debian maintainer has the duty to teach
upstream about problems.  Assume any user has a running distribution X
installed on his machine which also features the famous plink from putty.
Now he wants to install the plink binaries from upstream source and
has not set his PATH correctly.  So the user might face problems we
just detected in Debian and could have solved by informing upstream
that there is a name space polution in the Free Software name space
which really should be avoided.  So it is really in the interest of
plink upstream and its users to avoid this conflict - and to be honest:
Do you *really* think that there are so many complicated scripts out
there that some sed / perl magic could not solve this quickly?

> but d) may be another interesting option for many.

You might like to have a look at the phylip package which contains
a real lot of generic binary names which are all put under
/usr/lib/phylip/bin.  I tried to contact upstream about this (and
about the license) several times - but with no success so far.
But at least it works on Debian machines via a /usr/bin/phylip
wrapper.

> What do you think?

d) is a solution which is usually choosen in cases like this in
Debian.

Kind regards

       Andreas.

-- 
http://fam-tille.de

Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Tue, 28 Oct 2008 15:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 28 Oct 2008 15:54:02 GMT) Full text and rfc822 format available.

Message #100 received at 503367@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Andreas Tille <tillea@rki.de>
Cc: Steffen Möller <steffen_moeller@gmx.de>, Teodor <mteodor@gmail.com>, Charles Plessy <plessy@debian.org>, 503367@bugs.debian.org, debian-devel@lists.debian.org, cjwatson@debian.org
Subject: Re: [Debian-med-packaging] Bug#503367: Bug#503367: Bug#503367: plink: file conflict with putty-tools
Date: Tue, 28 Oct 2008 16:50:52 +0100
[Message part 1 (text/plain, inline)]
Hi there!

On Tue, 28 Oct 2008 15:58:20 +0100, Andreas Tille wrote:
> On Tue, 28 Oct 2008, Steffen Möller wrote:
>> Except that snplink is taken by another program
>
> This is a valid point and should probably be discussed with plink
> (and snplink??) authors.

FWIW both software have been published in scientific papers, thus
changing one name or the other can be more difficult.

However, while Steffen's point is valid, it's not problematic ATM, since
we don't have the "other" snplink [1] in Debian yet.

>> With an increasing number of applications in
>> Debian I am certain that b) or c) will be needed sooner or later,
>
> I do not think so.  IMHO the Debian maintainer has the duty to teach
> upstream about problems.
[...]
> So the user might face problems we just detected in Debian and could
> have solved by informing upstream that there is a name space polution
> in the Free Software name space which really should be avoided.

Fully ACK, something like "population-link" or "wgaplink" [2] would have
been clearly better [3].

Thx, bye,
Gismo / Luca

Footnotes: 
[1] http://bioinformatics.oxfordjournals.org/cgi/content/full/21/13/3060
[2] the title of the paper being "PLINK: a toolset for whole-genome
    association and population-based linkage analysis"
      http://pngu.mgh.harvard.edu/~purcell/plink/contact.shtml#cite
[3] yes, I know it's sound worse than "plink", but it's at least an
    acronym of the title of the paper
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Tue, 28 Oct 2008 16:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 28 Oct 2008 16:06:02 GMT) Full text and rfc822 format available.

Message #105 received at 503367@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: Luca Capello <luca@pca.it>
Cc: Steffen Möller <steffen_moeller@gmx.de>, Teodor <mteodor@gmail.com>, Charles Plessy <plessy@debian.org>, 503367@bugs.debian.org, debian-devel@lists.debian.org, cjwatson@debian.org
Subject: Re: [Debian-med-packaging] Bug#503367: Bug#503367: Bug#503367: plink: file conflict with putty-tools
Date: Tue, 28 Oct 2008 17:02:54 +0100 (CET)
On Tue, 28 Oct 2008, Luca Capello wrote:

> FWIW both software have been published in scientific papers, thus
> changing one name or the other can be more difficult.

Yes - but it can be made public on their website.

> However, while Steffen's point is valid, it's not problematic ATM, since
> we don't have the "other" snplink [1] in Debian yet.

That's a bad argument - using a name which is known to be choosen by
another project in the same field just sucks in general.  And we can
not really assume that the other (original) snplink will not be packaged
once.

> Fully ACK, something like "population-link" or "wgaplink" [2] would have
> been clearly better [3].
>
> [3] yes, I know it's sound worse than "plink", but it's at least an
>    acronym of the title of the paper

Well, I just went over one great renaming this year - I will not join
another one - but the name space pollution should be avoided in any
case.

Kind regards

       Andreas.

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Tue, 28 Oct 2008 16:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 28 Oct 2008 16:21:02 GMT) Full text and rfc822 format available.

Message #110 received at 503367@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Steffen Möller <steffen_moeller@gmx.de>
Cc: 503367@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#503367: plink: file conflict with putty-tools
Date: Wed, 29 Oct 2008 01:19:25 +0900
Le Tue, Oct 28, 2008 at 02:48:21PM +0100, Steffen Möller a écrit :
>  a) removing the newly package plink from the archive
>  b) add an exception to Debian policy for the case that the two packages
> in name-conflict are not in the base distribution and the two
> maintainers agree that the conflict in names does not matter enough to
> be concerned
>  c) add an exception to Debian policy when the two packages are of
> different priorities and both are out of base, having optional beating
> extra and the two maintainers agree.
>  d) have the binary install below /usr/lib rather than /usr/bin and
> there is some mechanism to set the path right, which should be executed
> prior to the execution of any script that is executing plink.
> 
> I personally am happy with any of the four alternatives but obviously
> would best like b) or c). With an increasing number of applications in
> Debian I am certain that b) or c) will be needed sooner or later, but d)
> may be another interesting option for many. What do you think?

Hi Steffen,

I think that I would like the Debian Blend distributions (formerly called CDDs)
to manage this smartly in the future. We could have some mechanisms that make
sure that for biologists, plink relates to SNPs, not to SSH. But this is a long
term goal with no implementation plan.

In the short time, we first have to tell Upstream that in the end renaming to
"snplink" was not a good idea :) If we are confident that the user sets of
plink and putty are mutually exclusive, I would not mind a Conflict even if it
is not allowed by the Policy. But how confident are we that we will not get
complains? We will be in a much worse situation if we have to make changes
after our userbase is established.

I personnaly would advocate d) because it can be the basis for a more global
solution later. For instance something like /usr/lib/debian-med/plink ->
/usr/lib/plink/plink, and populating /usr/lib/debian-med/ with our other cases
of namespace pollutors-polluted programs. We could then ask our users to put
/usr/lib/debian-med/ in their paths, so that they do not have to micromanage
such issues.

Lastly, Upstream was very responsive; we probably should discuss again with him.

Have a nice day,

-- 
Charles Plessy
Debian Med packaging team,
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Tue, 28 Oct 2008 19:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 28 Oct 2008 19:03:02 GMT) Full text and rfc822 format available.

Message #115 received at 503367@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: Charles Plessy <plessy@debian.org>
Cc: Steffen Möller <steffen_moeller@gmx.de>, 503367@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#503367: plink: file conflict with putty-tools
Date: Tue, 28 Oct 2008 20:00:54 +0100 (CET)
On Wed, 29 Oct 2008, Charles Plessy wrote:

> I think that I would like the Debian Blend distributions (formerly called CDDs)
> to manage this smartly in the future. We could have some mechanisms that make
> sure that for biologists, plink relates to SNPs, not to SSH. But this is a long
> term goal with no implementation plan.

Well, an implementation plan could be to symlink any binary to a
    /usr/share/blends/<blendname>/bin
directory and adjust PATH for those users who are registered as
user of this blend - so I see no problem in principle to realise
this idea.  But I'm absolutely not happy about such kind of workarounds.
As I explained earlier it is also about name space polution in the
Free Software namespace - it makes no sense to find a Debian specific
or a Blend specific solution and should be avoided in general.

> If we are confident that the user sets of
> plink and putty are mutually exclusive,

We can and should not be confident about this - neither in this specific case
nor in general.

> I would not mind a Conflict even if it
> is not allowed by the Policy. But how confident are we that we will not get
> complains? We will be in a much worse situation if we have to make changes
> after our userbase is established.

Yes - that's why we should also care for users which are not yet users of
Debian - finally they will all use Debian once we reached world domination. ;-)

> I personnaly would advocate d) because it can be the basis for a more global
> solution later. For instance something like /usr/lib/debian-med/plink ->
> /usr/lib/plink/plink, and populating /usr/lib/debian-med/ with our other cases
> of namespace pollutors-polluted programs. We could then ask our users to put
> /usr/lib/debian-med/ in their paths, so that they do not have to micromanage
> such issues.

Something like this as I mentioned above.  The per package /usr/lib
solution is just established and accepted but only a Debian specific
workaround.

> Lastly, Upstream was very responsive; we probably should discuss again with him.

Pointing upstream to the mails collected inside the bug page might be
reasonable to understand all arguments.

Kind regards

            Andreas.

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Wed, 01 Apr 2009 20:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Wed, 01 Apr 2009 20:54:05 GMT) Full text and rfc822 format available.

Message #120 received at 503367@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: Debian Developers <debian-devel@lists.debian.org>, 503367@bugs.debian.org
Cc: Debian Med Project List <debian-med@lists.debian.org>, cjwatson@debian.org
Subject: Again: Bug#503367: plink: file conflict with putty-tools
Date: Wed, 1 Apr 2009 22:51:39 +0200 (CEST)
Hi,

in October last year there was a longish discussion about name space
pollution regarding plink.  If you like to spend some time you should
read the complete log of #503367 [1].

I decided to put an end now on this issue to make sure it will
not remain as is for ever and renamed the entry in /usr/bin.
This is explained in README.Debian of this package (see svn[2]).

Two questions are left on my side:

  1. On the one hand plink upstream claimed on their website[3] that
     Debian *has* renamed plink to snplink (which is not really true
     because the discussion ended without any real action).  But Gentoo
     went the same road to "follow" Debian.

     So there is one established way which is accepted upstream to handle
     this problem.

     On the other hand there is this other biological project which
     has a snplink as well.[4]  While chances are not really high
     that this software will also be packaged - you can not know.

     So what is better: Just seeking for another name which hopefully
     is singular and asking upstream as well as Gentoo to change as
     well or live with the small risk to run the same circle of name
     space pollution in case the other snplink will be packaged?

  2. Is the information that plink was renamed to snplink visible
     enough or should I rather use a debconf note to make users really
     aware what they have to do?

Kind regards

        Andreas.

[1] http://bugs.debian.org/503367
[2] http://svn.debian.org/wsvn/debian-med/trunk/packages/plink/trunk/debian/README.Debian?op=file&rev=0&sc=0
[3] http://pngu.mgh.harvard.edu/~purcell/plink/download.shtml
[4] http://www.icr.ac.uk/research/research_sections/cancer_genetics/cancer_genetics_teams/molecular_and_population_genetics/software_and_databases/index.shtml

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Wed, 01 Apr 2009 22:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Wed, 01 Apr 2009 22:18:02 GMT) Full text and rfc822 format available.

Message #125 received at 503367@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Andreas Tille <tillea@rki.de>
Cc: Debian Developers <debian-devel@lists.debian.org>, 503367@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>, cjwatson@debian.org
Subject: Re: Again: Bug#503367: plink: file conflict with putty-tools
Date: Thu, 2 Apr 2009 00:15:48 +0200
[Message part 1 (text/plain, inline)]
On Wed, 01 Apr 2009 22:51:39 +0200, Andreas Tille wrote:

> This is explained in README.Debian of this package (see svn[2]).
[..]
>   2. Is the information that plink was renamed to snplink visible
>      enough or should I rather use a debconf note to make users really
>      aware what they have to do?

NEWS.Debian might be a good compromise between README.Debian and a
debconf message.

Cheers,
gregor 
-- 
 .''`.   Home: http://info.comodo.priv.at/{,blog/} / GPG Key ID: 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: U2: Elvis Prestley And America
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Thu, 02 Apr 2009 08:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Daniel Leidert" <Daniel.Leidert.Spam@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 02 Apr 2009 08:27:02 GMT) Full text and rfc822 format available.

Message #130 received at 503367@bugs.debian.org (full text, mbox):

From: "Daniel Leidert" <Daniel.Leidert.Spam@gmx.net>
To: 503367@bugs.debian.org, debian-devel@lists.debian.org
Cc: cjwatson@debian.org, debian-med@lists.debian.org
Subject: Re: Again: Bug#503367: plink: file conflict with putty-tools
Date: Thu, 02 Apr 2009 10:23:38 +0200
Andreas Tille wrote:

> in October last year there was a longish discussion about name space
> pollution regarding plink.  If you like to spend some time you should
> read the complete log of #503367 [1].
> 
> I decided to put an end now on this issue to make sure it will
> not remain as is for ever and renamed the entry in /usr/bin.
> This is explained in README.Debian of this package (see svn[2]).
> 
> Two questions are left on my side:
> 
>    1. On the one hand plink upstream claimed on their website[3] that
>       Debian *has* renamed plink to snplink (which is not really true
>       because the discussion ended without any real action).  But Gentoo
>       went the same road to "follow" Debian.
>
>       So there is one established way which is accepted upstream to 
>       handle this problem.
> 
>       On the other hand there is this other biological project which
>       has a snplink as well.[4]  While chances are not really high
>       that this software will also be packaged - you can not know.

What about using /usr/bin/PLINK? I can't find a requirement in the
policy to use lowercase characters for a binary/script. Maybe I missed
it?

>       So what is better: Just seeking for another name which hopefully
>       is singular and asking upstream as well as Gentoo to change as
>       well or live with the small risk to run the same circle of name
>       space pollution in case the other snplink will be packaged?
> 
>    2. Is the information that plink was renamed to snplink visible
>       enough or should I rather use a debconf note to make users really
>       aware what they have to do?

Well, a NEWS entry is mandatory in this situation. I would further
suggest to put this information into the package description too and
of course leave an entry in README.Debian.

Regards, Daniel
-- 
Psssst! Schon vom neuen GMX MultiMessenger gehört? Der kann`s mit allen: http://www.gmx.net/de/go/multimessenger01




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Thu, 02 Apr 2009 09:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 02 Apr 2009 09:42:07 GMT) Full text and rfc822 format available.

Message #135 received at 503367@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: Debian Developers <debian-devel@lists.debian.org>
Cc: 503367@bugs.debian.org, cjwatson@debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Again: Bug#503367: plink: file conflict with putty-tools
Date: Thu, 2 Apr 2009 11:26:58 +0200 (CEST)
On Thu, 2 Apr 2009, Daniel Leidert wrote:

>> Two questions are left on my side:
>>
>>    1. On the one hand plink upstream claimed on their website[3] that
>>       Debian *has* renamed plink to snplink (which is not really true
>>       because the discussion ended without any real action).  But Gentoo
>>       went the same road to "follow" Debian.
>>
>>       So there is one established way which is accepted upstream to
>>       handle this problem.
>>
>>       On the other hand there is this other biological project which
>>       has a snplink as well.[4]  While chances are not really high
>>       that this software will also be packaged - you can not know.
>
> What about using /usr/bin/PLINK? I can't find a requirement in the
> policy to use lowercase characters for a binary/script. Maybe I missed
> it?

A Plink was discussed and refused [1] and finally *any* rename has the
same problem - it breaks existing scripts.  I personally would not have
a problem to use any case variation.

> Well, a NEWS entry is mandatory in this situation. I would further
> suggest to put this information into the package description too and
> of course leave an entry in README.Debian.

I'll do so.

Thanks

     Andreas.


[1] http://lists.debian.org/debian-devel/2008/10/msg00642.html

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Thu, 02 Apr 2009 10:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Daniel Leidert" <Daniel.Leidert.Spam@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 02 Apr 2009 10:21:04 GMT) Full text and rfc822 format available.

Message #140 received at 503367@bugs.debian.org (full text, mbox):

From: "Daniel Leidert" <Daniel.Leidert.Spam@gmx.net>
To: debian-devel@lists.debian.org, 503367@bugs.debian.org
Cc: debian-med@lists.debian.org, cjwatson@debian.org
Subject: Re: Again: Bug#503367: plink: file conflict with putty-tools
Date: Thu, 02 Apr 2009 12:18:59 +0200
Andreas Tille wrote:
> On Thu, 2 Apr 2009, Daniel Leidert wrote:
 
[..]
> > What about using /usr/bin/PLINK? I can't find a requirement in the
> > policy to use lowercase characters for a binary/script. Maybe I missed
> > it?
> 
> A Plink was discussed and refused [1]

IMO just changing one character is not good. But the renaming it to PLINK
- how the whole project is called, seems sufficient to me.

Further the article you linked contains just a user opinion and states
"no annoying and ugly" - maybe this should have been "not" or "so" - I
don't know. But it's just a user opinion, not a TC decision or
recommendation.

> and finally *any* rename has the
> same problem - it breaks existing scripts.

That's true. But I could imagine, that a rename from bin/plink to
bin/PLINK gets more support from upstream and maybe upstream then
is willing to implement this on the upstream side (use PLINK instead
of plink and make plink a symbolic link (or a copy at Windows)
for backwards compatibility).

E.g. the html-xml-utils author also changed *several* binary names
because of conflicts with existing tools on request (he simply
made a new major release 5 with the new names). PLINKs upstream
can't ignore the conflict. putty is not a program you cannot
expect in scientific pools. I would say: there is a good chance,
that you'll find putty in e.g. university PC pools especially
in those, also providing Windows as os.

Regards, Daniel
-- 
Psssst! Schon vom neuen GMX MultiMessenger gehört? Der kann`s mit allen: http://www.gmx.net/de/go/multimessenger01




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Thu, 02 Apr 2009 10:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 02 Apr 2009 10:27:02 GMT) Full text and rfc822 format available.

Message #145 received at 503367@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Daniel Leidert <Daniel.Leidert.Spam@gmx.net>
Cc: 503367@bugs.debian.org, debian-devel@lists.debian.org, cjwatson@debian.org, debian-med@lists.debian.org
Subject: Re: Again: Bug#503367: plink: file conflict with putty-tools
Date: Thu, 02 Apr 2009 12:24:02 +0200
On Thu, 2009-04-02 at 10:23 +0200, Daniel Leidert wrote:
> What about using /usr/bin/PLINK?

please god no.  try to find a name that removes confusion, not one that
is ugly but still as generic.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Thu, 02 Apr 2009 10:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juan Céspedes <cespedes@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 02 Apr 2009 10:45:05 GMT) Full text and rfc822 format available.

Message #150 received at 503367@bugs.debian.org (full text, mbox):

From: Juan Céspedes <cespedes@debian.org>
To: 503367@bugs.debian.org, Debian Development <debian-devel@lists.debian.org>
Subject: Re: Again: Bug#503367: plink: file conflict with putty-tools
Date: Thu, 2 Apr 2009 12:39:48 +0200
On Thu, Apr 2, 2009 at 10:23 AM, Daniel Leidert
<Daniel.Leidert.Spam@gmx.net> wrote:
> What about using /usr/bin/PLINK?

Please don't.

I have already had enough problems with MacOS, Windows, and some other
operating systems and filesystems which are not case sensitive.

-- 
Juan Cespedes




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Fri, 03 Apr 2009 15:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steffen Moeller <steffen_moeller@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Fri, 03 Apr 2009 15:06:02 GMT) Full text and rfc822 format available.

Message #155 received at 503367@bugs.debian.org (full text, mbox):

From: Steffen Moeller <steffen_moeller@gmx.de>
To: Daniel Leidert <Daniel.Leidert.Spam@gmx.net>
Cc: 503367@bugs.debian.org, debian-devel@lists.debian.org, cjwatson@debian.org, debian-med@lists.debian.org
Subject: Re: Again: Bug#503367: plink: file conflict with putty-tools
Date: Fri, 03 Apr 2009 19:04:46 +0200
Hello,

Daniel Leidert wrote:
> Andreas Tille wrote:
>> in October last year there was a longish discussion about name space
>> pollution regarding plink.  If you like to spend some time you should
>> read the complete log of #503367 [1].
>>
>> I decided to put an end now on this issue to make sure it will
>> not remain as is for ever and renamed the entry in /usr/bin.
>> This is explained in README.Debian of this package (see svn[2]).

we should ask the technical committee to rule over it. And maybe this
needs some voting in the end.

I personally think that we should not rename it. And putty's plink should not be renamed
either. The two are in a technical conflict, though with little practical consequences. To
me, this situation is preferable over the renaning of the binary of either.

Please keep in mind that we don't need to package everything. (sn)plink can just be
removed from the archive. Or could it move to non-free since it does not adhere to
Debian's principles? I need to reread the policy here.

Best regards,

Steffen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Fri, 03 Apr 2009 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Fri, 03 Apr 2009 17:51:03 GMT) Full text and rfc822 format available.

Message #160 received at 503367@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: Debian Developers <debian-devel@lists.debian.org>
Cc: 503367@bugs.debian.org, cjwatson@debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Again: Bug#503367: plink: file conflict with putty-tools
Date: Fri, 3 Apr 2009 19:47:38 +0200 (CEST)
On Fri, 3 Apr 2009, Steffen Moeller wrote:

> we should ask the technical committee to rule over it. And maybe this
> needs some voting in the end.

Who is this *we*?  Do you volunteer?
IMHO plink should be renamed because it is way less popular than the
putty tool.  So we will loose this voting anyway and there is much effort
for an foreseable outcome.  IMHO the solution I described in README.Debian
is reasonable for plink users even with existing scripts.

> I personally think that we should not rename it. And putty's plink should not be renamed
> either. The two are in a technical conflict, though with little practical consequences. To
> me, this situation is preferable over the renaning of the binary of either.

This is a worse solution than a rename.

> Please keep in mind that we don't need to package everything. (sn)plink can just be
> removed from the archive. Or could it move to non-free since it does not adhere to
> Debian's principles? I need to reread the policy here.

Moving to non-free will not solve the problem and is just wrong
(because it is actually not non-free).  Trying to solve a problem
by pretending wrong facts is a no go.

I'd strongly recommend to settle (together with upstream) for
a reasonable alternative name (I don't care whether it is
snplink, Plink, PLINK or something else) but we should find
a reasonable decision in a short time frame (to not spend to
power into an issue which does not bring anybody foreward).

Kind regards

        Andreas.

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Sun, 05 Apr 2009 16:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Morten Kjeldgaard <mortenkjeldgaard@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sun, 05 Apr 2009 16:00:04 GMT) Full text and rfc822 format available.

Message #165 received at 503367@bugs.debian.org (full text, mbox):

From: Morten Kjeldgaard <mortenkjeldgaard@gmail.com>
To: Steffen Moeller <steffen_moeller@gmx.de>, 503367@bugs.debian.org
Cc: Daniel Leidert <Daniel.Leidert.Spam@gmx.net>, debian-devel@lists.debian.org, cjwatson@debian.org, debian-med@lists.debian.org
Subject: Re: [Debian-med-packaging] Bug#503367: Again: Bug#503367: plink: file conflict with putty-tools
Date: Sun, 5 Apr 2009 17:57:37 +0200
On 03/04/2009, at 19.04, Steffen Moeller wrote:

> I personally think that we should not rename it. And putty's plink  
> should not be renamed
> either. The two are in a technical conflict, though with little  
> practical consequences. To
> me, this situation is preferable over the renaning of the binary of  
> either.

Couldn't this be handled by the alternatives system?

Another possibility would be to use "author_progname" (==  
purcell_plink) or possibly "genome_plink"  to resolve the conflict. It  
is informative to those with knowledge about the program suite and  
nonobtrusive to anyone else.

Renaming _will_ break scripts but that is simple to fix... with a  
script :-)

Cheers,
Morten


-- 
Morten Kjeldgaard <mok0@ubuntu.com>
Ubuntu MOTU Developer
GPG Key ID: 404825E7





Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Sun, 05 Apr 2009 19:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sun, 05 Apr 2009 19:36:05 GMT) Full text and rfc822 format available.

Message #170 received at 503367@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Morten Kjeldgaard <mortenkjeldgaard@gmail.com>
Cc: Steffen Moeller <steffen_moeller@gmx.de>, 503367@bugs.debian.org, Daniel Leidert <Daniel.Leidert.Spam@gmx.net>, debian-devel@lists.debian.org, debian-med@lists.debian.org
Subject: Re: [Debian-med-packaging] Bug#503367: Again: Bug#503367: plink: file conflict with putty-tools
Date: Sun, 5 Apr 2009 20:35:05 +0100
On Sun, Apr 05, 2009 at 05:57:37PM +0200, Morten Kjeldgaard wrote:
> On 03/04/2009, at 19.04, Steffen Moeller wrote:
>> I personally think that we should not rename it. And putty's plink
>> should not be renamed either. The two are in a technical conflict,
>> though with little  practical consequences. To me, this situation is
>> preferable over the renaning of the binary of  either.
>
> Couldn't this be handled by the alternatives system?

Alternatives are only suitable when the programs provide essentially the
same or similar functions. They aren't suitable for programs that have
completely different functions but whose names happen to clash.

Cheers,

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Mon, 06 Apr 2009 12:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steffen Moeller <steffen_moeller@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 06 Apr 2009 12:06:05 GMT) Full text and rfc822 format available.

Message #175 received at 503367@bugs.debian.org (full text, mbox):

From: Steffen Moeller <steffen_moeller@gmx.de>
To: Andreas Tille <tillea@rki.de>
Cc: Debian Developers <debian-devel@lists.debian.org>, 503367@bugs.debian.org, cjwatson@debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Again: Bug#503367: plink: file conflict with putty-tools
Date: Mon, 06 Apr 2009 14:03:58 +0200
Andreas Tille wrote:
> On Fri, 3 Apr 2009, Steffen Moeller wrote:
> 
>> we should ask the technical committee to rule over it. And maybe this
>> needs some voting in the end.
> 
> Who is this *we*?  Do you volunteer?
:) no, since I personally see no preferable alternative to the current conflicting state.

> IMHO plink should be renamed because it is way less popular than the
> putty tool.  So we will loose this voting anyway and there is much effort
> for an foreseable outcome.  IMHO the solution I described in README.Debian
> is reasonable for plink users even with existing scripts.

Morten's suggestion of a rename to purcell_plink (or plink_purcell) seems
reasonable to me. snplink I find strange and as it was mentioned in the initial thread,
there an earlier program with that name.

>> I personally think that we should not rename it. And putty's plink
>> should not be renamed
>> either. The two are in a technical conflict, though with little
>> practical consequences. To
>> me, this situation is preferable over the renaning of the binary of
>> either.
> 
> This is a worse solution than a rename.

In your view, I know.

>> Please keep in mind that we don't need to package everything.
>> (sn)plink can just be
>> removed from the archive. Or could it move to non-free si it does
>> not adhere to
>> Debian's principles? I need to reread the policy here.
> 
> Moving to non-free will not solve the problem and is just wrong
> (because it is actually not non-free).  Trying to solve a problem
> by pretending wrong facts is a no go.

I know what you mean.

> I'd strongly recommend to settle (together with upstream) for
> a reasonable alternative name (I don't care whether it is
> snplink, Plink, PLINK or something else) but we should find
> a reasonable decision in a short time frame (to not spend to
> power into an issue which does not bring anybody foreward).

If _I_ was upstream, with a program that has such a strong name in the community, I would
not change it lightheartedly. PLINK would certainly remain PLINK, the only chance I'd see
is that upstream leaves the name PLINK for its software and renames the binary alone and
then towards something that is very similar to the old one, maybe p_link or so. But this
should possibly be synced with a general API overhaul or so.

The conflict in my view is a problem of Debian or of UNIX in general, not of either of the
two plinks. We should have namespaces of some sort and not everything in one directory.

Best,

Steffen







Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Tue, 14 Apr 2009 12:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 14 Apr 2009 12:36:10 GMT) Full text and rfc822 format available.

Message #180 received at 503367@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: Debian Med Project List <debian-med@lists.debian.org>
Cc: Debian Developers <debian-devel@lists.debian.org>, 503367@bugs.debian.org, Shaun Purcell <plink@chgr.mgh.harvard.edu>, Andrey Kislyuk <weaver@gentoo.org>
Subject: Re: Again: Bug#503367: plink: file conflict with putty-tools
Date: Tue, 14 Apr 2009 14:35:23 +0200 (CEST)
Hi,

I try to resume the thread about the name of plink binary in Debian to
finally find a solution. Status:

  1. we can not use /usr/bin/plink because of the name
     conflict with the putty tool
  2. plink executable will be moved to /usr/lib/plink/plink
  3. we use a symlink to this place under /usr/bin/<NEWNAME>
  4. the issue will be documented in README.Debian,
     NEWS.Debian and the long description of the package.

The remaining issue to decide about is the actual name to choose.  Here
re the options:

  1. snplink
     Pro: Just announced by upstream as alternate name
          used by Debian (which is not true because the
          suggestion was never realised) and used by
          Gentoo (because of this announcement)
     Con: Another potential name conflict [1]
  2. PLINK
     Pro: Sound remains the same.
     Con: Not portable to files systems which are not
          case sensitive
  3. Plink
     Same pros/cons as 2.
  4. p_link
  5. p-link

I'd really love if we can find a solution together with upstream (in CC)
and I'd actually would wight upstreams opinion about this issue highest
according to the principle that it is not only a Debian issue but might
happen on any users machine who tries to install plink.

So please let us find a reasonable solution which lets us move foreward
to a policy compliant plink package inside Debian.

Kind regards

      Andreas.

[1] http://www.icr.ac.uk/research/research_sections/cancer_genetics/cancer_genetics_teams/molecular_and_population_genetics/software_and_databases/index.shtml

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Tue, 28 Apr 2009 19:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 28 Apr 2009 19:09:02 GMT) Full text and rfc822 format available.

Message #185 received at 503367@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@free.fr>
To: 503367@bugs.debian.org
Subject: files owned by both plink and putty-tools
Date: Tue, 28 Apr 2009 21:07:25 +0200
Hi,

Here is a list of files that are known to be shared by both packages
(according to the Contents file for sid/amd64, which may be
slightly out of sync):


  usr/bin/plink
  usr/share/man/man1/plink.1.gz
  

-Ralf




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#503367; Package plink. (Tue, 28 Apr 2009 22:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 28 Apr 2009 22:15:02 GMT) Full text and rfc822 format available.

Message #190 received at 503367@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: Ralf Treinen <treinen@free.fr>, 503367@bugs.debian.org
Cc: Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Subject: Re: [Debian-med-packaging] Bug#503367: files owned by both plink and putty-tools
Date: Wed, 29 Apr 2009 00:08:23 +0200 (CEST)
On Tue, 28 Apr 2009, Ralf Treinen wrote:

> Here is a list of files that are known to be shared by both packages
> (according to the Contents file for sid/amd64, which may be
> slightly out of sync):
>
>  usr/bin/plink
>  usr/share/man/man1/plink.1.gz

Yes, sure - that's perfectly known.  I wonder which of the
four suggested names mentioned in the mail previous to yours
in the bug log would you prefer.  There was just no input
and I will decide myself until end of this week.

Kind regards

       Andreas.

-- 
http://fam-tille.de




Reply sent to Andreas Tille <tille@debian.org>:
You have taken responsibility. (Tue, 05 May 2009 09:48:11 GMT) Full text and rfc822 format available.

Notification sent to Sven Joachim <svenjoac@gmx.de>:
Bug acknowledged by developer. (Tue, 05 May 2009 09:48:11 GMT) Full text and rfc822 format available.

Message #195 received at 503367-close@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 503367-close@bugs.debian.org
Subject: Bug#503367: fixed in plink 1.06-1
Date: Tue, 05 May 2009 09:02:34 +0000
Source: plink
Source-Version: 1.06-1

We believe that the bug you reported is fixed in the latest version of
plink, which is due to be installed in the Debian FTP archive:

plink_1.06-1.diff.gz
  to pool/main/p/plink/plink_1.06-1.diff.gz
plink_1.06-1.dsc
  to pool/main/p/plink/plink_1.06-1.dsc
plink_1.06-1_i386.deb
  to pool/main/p/plink/plink_1.06-1_i386.deb
plink_1.06.orig.tar.gz
  to pool/main/p/plink/plink_1.06.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 503367@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Tille <tille@debian.org> (supplier of updated plink package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 04 May 2009 10:17:04 +0200
Source: plink
Binary: plink
Architecture: source i386
Version: 1.06-1
Distribution: unstable
Urgency: low
Maintainer: Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Andreas Tille <tille@debian.org>
Description: 
 plink      - whole-genome association analysis toolset
Closes: 503367
Changes: 
 plink (1.06-1) unstable; urgency=low
 .
   * New upstream version
   * debian/get-orig-source
   * Standards-Version: 3.8.1 (no changes needed)
   * Moved plink executable to /usr/lib/plink and symlinked
     /usr/bin/p-link to this location; renamed manpage accordingly
     Added explicit hint in README.Debian how to proceed if you
     need the original name.
     Closes: #503367
   * debian/patches/20_plink-1.06-gcc4.4.patch: Patch to compile
     using gcc 4.4
   * debian/rules: Make sure example data files are not executable
   * debian/patches/dynamic.patch: do not link statically
Checksums-Sha1: 
 a925b695892e4f0a039b39cf819156983f4b1dae 1255 plink_1.06-1.dsc
 6bc332b3ce50ef49d521b57cb286ceaec668237d 538841 plink_1.06.orig.tar.gz
 696505abd7f8a92905bf6a725f8ac008ee266f6d 4566 plink_1.06-1.diff.gz
 c5657a2ca2b29fbfbd3746e31af5139e0f60417a 1213018 plink_1.06-1_i386.deb
Checksums-Sha256: 
 4c40e07117409037c304e9f17a0c5e600c146163e6aaca46a4039d8fe1c18aa9 1255 plink_1.06-1.dsc
 fd29d1623c50ead79cfc8756a484090bfad288465956411f7d79a91275f90e8b 538841 plink_1.06.orig.tar.gz
 bc20fc2dbe2234c94d49b5f5d76b50cb475d8f5d8dacf53921cf7699e52da5dd 4566 plink_1.06-1.diff.gz
 651a289bb139db7595ea964cd050dc89752755db7efd2c1decf4e520374a684a 1213018 plink_1.06-1_i386.deb
Files: 
 aa2f4d0b9d70e4f52139a3d30ebf36e0 1255 science optional plink_1.06-1.dsc
 60b00f8f5fd875ea4e8637342dad69c3 538841 science optional plink_1.06.orig.tar.gz
 e70dfcf10cc6ef308fc2eec6a3239dbb 4566 science optional plink_1.06-1.diff.gz
 6d5386b3d621160f734912ae322a5b29 1213018 science optional plink_1.06-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJ//WmYDBbMcCf01oRAmY3AJ4+Hu0No2ejdD6yJrpK3dhzmQyYpACeMiYX
Of3RyVjcoR/gVyd/78Re4RI=
=6IeC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 31 Mar 2010 07:37:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:52:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.